Runtime

## org.eclipse.gmf.runtime.diagram.ui.editpolicies
Class UnmovableConnectionEditPolicy

    java.lang.Object
      org.eclipse.gef.editpolicies.AbstractEditPolicy
          org.eclipse.gef.editpolicies.GraphicalEditPolicy
              org.eclipse.gef.editpolicies.SelectionEditPolicy
                  org.eclipse.gef.editpolicies.SelectionHandlesEditPolicy
                      org.eclipse.gef.editpolicies.ConnectionEndpointEditPolicy
                          org.eclipse.gmf.runtime.diagram.ui.editpolicies.UnmovableConnectionEditPolicy

All Implemented Interfaces:
  EditPolicy, IAdaptable, RequestConstants

public class UnmovableConnectionEditPolicy
extends ConnectionEndpointEditPolicy

This edit policy does not allow elements to be moved

Field Summary

Fields inherited from class org.eclipse.gef.editpolicies.SelectionHandlesEditPolicy
`handles`

Fields inherited from interface org.eclipse.gef.EditPolicy
`COMPONENT_ROLE, CONNECTION_BENDPOINTS_ROLE, CONNECTION_ENDPOINTS_ROLE, CONNECTION_ROLE, CONTAINER_ROLE, DIRECT_EDIT_ROLE, GRAPHICAL_NODE_ROLE, LAYOUT_ROLE, NODE_ROLE, PRIMARY_DRAG_ROLE, SELECTION_FEEDBACK_ROLE, TREE_CONTAINER_ROLE`

Fields inherited from interface org.eclipse.gef.RequestConstants
`REQ_ADD, REQ_ALIGN, REQ_ALIGN_CHILDREN, REQ_CLONE, REQ_CONNECTION_END, REQ_CONNECTION_START, REQ_CREATE, REQ_CREATE_BENDPOINT, REQ_DELETE, REQ_DELETE_DEPENDANT, REQ_DIRECT_EDIT, REQ_MOVE, REQ_MOVE_BENDPOINT, REQ_MOVE_CHILDREN, REQ_OPEN, REQ_ORPHAN, REQ_ORPHAN_CHILDREN, REQ_RECONNECT_SOURCE, REQ_RECONNECT_TARGET, REQ_RESIZE, REQ_RESIZE_CHILDREN, REQ_SELECTION, REQ_SELECTION_HOVER`

Constructor Summary
`UnmovableConnectionEditPolicy()`

Method Summary
`java.lang.Object` `getAdapter(java.lang.Class key)` Since unmoveable, override to never return an AccessibleHandleProvider
`Command` `getCommand(Request request)` Just override getCommand to always return null.

Methods inherited from class org.eclipse.gef.editpolicies.ConnectionEndpointEditPolicy
`createSelectionHandles, eraseConnectionMoveFeedback, eraseSourceFeedback, getConnection, getFeedbackHelper, hideFocus, showConnectionMoveFeedback, showFocus, showSourceFeedback`

Methods inherited from class org.eclipse.gef.editpolicies.SelectionHandlesEditPolicy
`addSelectionHandles, hideSelection, removeSelectionHandles, showSelection`

Methods inherited from class org.eclipse.gef.editpolicies.SelectionEditPolicy
`activate, addSelectionListener, deactivate, getTargetEditPart, removeSelectionListener, setFocus, setSelectedState, showPrimarySelection`

Methods inherited from class org.eclipse.gef.editpolicies.GraphicalEditPolicy
`addFeedback, getFeedbackLayer, getHostFigure, getLayer, removeFeedback`

Methods inherited from class org.eclipse.gef.editpolicies.AbstractEditPolicy
`debugFeedback, eraseTargetFeedback, getHost, setHost, showTargetFeedback, toString, understandsRequest`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UnmovableConnectionEditPolicy

    public UnmovableConnectionEditPolicy()

Method Detail

### getCommand

    public Command getCommand(Request request)

  Just override getCommand to always return null. Then, it won't support move or align, and orphan because aligning means moving the element and orphan implies that the element has moved somewhere.

  See Also:
    `EditPolicy.getCommand(org.eclipse.gef.Request)`

### getAdapter

    public java.lang.Object getAdapter(java.lang.Class key)

  Since unmoveable, override to never return an AccessibleHandleProvider

  See Also:
    `IAdaptable.getAdapter(java.lang.Class)`

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.